Name:		urbanterror
Version:	4.2.023
Release:	%mkrel 1
Summary:	A team-based tactical shooter based on the Quake 3 Engine
Group:		Games/Shooter
License:	GPLv2+
Url:		http://www.urbanterror.info/
Source0:	ioq3-for-UrbanTerror-4-release-%{version}.tar.gz
Source1:	urbanterror.png
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	hicolor-icon-theme
Requires:	%{name}-data = %{version}

%description
Urban Terror can be described as a Hollywood tactical shooter; somewhat realism
based, but the motto is "fun over realism" which results in a very unique,
enjoyable and addictive game.

This package contains the engine and game binary. For the server please install
%{name}-server.

%package server
Summary:	Standalone server for Urban Terror 4.2
Group:		Games/Shooter
Requires:	%{name}-data = %{version}

%description server
Urban Terror standalone server.

%prep
%setup -q -n ioq3-for-UrbanTerror-4-release-%{version}

%build
%make %{?_smp_mflags} \
     USE_OPENAL_DLOPEN=0 \
     USE_CURL_DLOPEN=0 \
     USE_LOCAL_HEADERS=0 \
     DEFAULT_BASEDIR=%{_datadir}/%{name} \
     V=1

%install
mkdir -p %{buildroot}%{_datadir}
make copyfiles COPYDIR=%{buildroot}%{_datadir} NO_STRIP=1
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/Quake3-UrT-Ded.* %{buildroot}%{_bindir}/%{name}-server
mv %{buildroot}%{_datadir}/Quake3-UrT.* %{buildroot}%{_bindir}/%{name}
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/
# Don't use a suse-macro to support other distributions
cat >> %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Categories=Game;Shooter;
Name=Urban Terror %{version}
GenericName=Tactical FPS
Type=Application
Exec=%{name}
Icon=%{name}
EOF


%files
%defattr(-,root,root,-)
%doc COPYING.txt ChangeLog README id-readme.txt ioUrbanTerror_README.txt md4-readme.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files server
%{_bindir}/%{name}-server


%changelog
* Sun Feb 01 2015 juancho <juancho> 4.2.023-1.mga5
+ Revision: 812936
- Updated to 4.0.23

* Tue Nov 25 2014 juancho <juancho> 4.2.021-1.mga5.nonfree
+ Revision: 798864
- Updated to 4.2.021

* Sat Nov 01 2014 akien <akien> 4.2.020-3.mga5.nonfree
+ Revision: 795169
- Change desktop category to Shooter

* Wed Oct 15 2014 umeabot <umeabot> 4.2.020-2.mga5.nonfree
+ Revision: 739716
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 juancho <juancho> 4.2.020-1.mga5.nonfree
+ Revision: 737034
- Updated to 4.2.020

* Wed Sep 17 2014 juancho <juancho> 4.2.019-1.mga5.nonfree
+ Revision: 692361
- Updated to version 4.2.019

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Jun 04 2014 juancho <juancho> 4.2.018-1.mga5.nonfree
+ Revision: 632697
- Update to latest version 4.2.018

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-6.mga4
+ Revision: 519907
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.1.1-5.mga3
+ Revision: 385101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 juancho <juancho> 4.1.1-4.mga3
+ Revision: 318433
- Change group to Shooter

* Tue Feb 14 2012 juancho <juancho> 4.1.1-3.mga2
+ Revision: 208595
- Updated autodownloader window title

* Wed Dec 07 2011 juancho <juancho> 4.1.1-2.mga2
+ Revision: 178480
- Added missing BuildRequires: desktop-file-utils
- Use the %%{name} macro instead of name in some places
- imported package urbanterror

